=== debian/changelog ===
build-essential-mipsen (12.8) unstable; urgency=medium

  * Initial release for -mipsen.

 -- YunQiang Su <syq@debian.org>  Mon, 03 Feb 2020 20:49:58 +0800

build-essential (12.8) unstable; urgency=high

  * Stop building crossbuild-essential-mips{,64}el.

 -- Matthias Klose <doko@debian.org>  Sat, 14 Sep 2019 12:52:43 +0200

build-essential (12.7) unstable; urgency=medium

  * Bump dependencies on gcc and g++ to 9.2.
  * Bump standards version.
  * Stop build crossbuild-essential-mips.
  * Regenerate lists of essential packages.

 -- Matthias Klose <doko@debian.org>  Mon, 26 Aug 2019 11:34:51 +0200

build-essential (12.6) unstable; urgency=medium

  * Bump dependencies on gcc and g++ to 8.3.
  * Regenerate lists of essential packages.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Mar 2019 13:05:10 +0100

build-essential (12.5) unstable; urgency=medium

  * Bump dependencies on gcc and g++ to 7.3.
  * Tighten dependency for cross gcc versions. Closes: #891001.
  * Regenerate lists of essential packages.
  * Build crossbuild-essential-amd64, crossbuild-essential-i386.
    Closes: #883769, #875860.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Apr 2018 17:08:43 +0200

build-essential (12.4) unstable; urgency=medium

  * Bump dependencies on gcc and g++ to 7.2.
  * Build crossbuild-essential-mips, crossbuild-essential-mips64el,
    crossbuild-essential-s390x, 
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Sep 2017 13:06:39 +0200

build-essential (12.3) unstable; urgency=medium

  * Bump debhelper and standards versions.
  * Bump dependencies on gcc and g++ to 6.3.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Jan 2017 23:23:36 +0100

build-essential (12.2) unstable; urgency=medium

  * Bump dependencies on gcc and g++ to 5.3.
  * For cross packages, drop libc-dev dependency on libc-dev.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Feb 2016 00:26:37 +0100

build-essential (12.1) unstable; urgency=medium

  * Bump dependencies on gcc and g++ to 5.2.
  * Fix generating essential-package-list files for !linux targets (Pino
    Toscano). Closes: #772593. 
  * Update package lists.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Aug 2015 14:44:21 +0200

build-essential (12) experimental; urgency=medium

  * Update package lists.
  * Add missing architectures to the cross list (Thorsten Glaser).
    Closes: #697702.
  * Enable cross builds for armel, armhf, arm64, mipsel, powerpc, ppc64el.
    Closes: #766551.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Oct 2014 16:36:09 +0200

build-essential (11.7) unstable; urgency=medium

  * Update Standards-Version to 3.9.5.
  * Build-depend on python3:any instead of python3. Closes: #750976.
  * Add package lists for new architectures.
  * Regenerate the autotools files.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Aug 2014 00:48:40 +0200

build-essential (11.6) unstable; urgency=low

  * Update Standards-Version to 3.9.4.
  * Build-depend on python3 instead of python.
  * Update make-esslist.sh to consider ports archives and distros.
    Closes: #603386.
  * Update essential packages lists.
  * Build crossbuild-essential-<arch> packages for architectures
    provided in debian/cross-targets (currently all commented out).
    Closes: #693220.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Jan 2013 16:33:55 +0100

build-essential (11.5) unstable; urgency=low

  * Bump dependencies on gcc and g++ to 4.4.3.
  * Re-add explicit dependency on gcc. Closes: #536038.
  * Update essential packages lists. Closes: #545890.

 -- Matthias Klose <doko@debian.org>  Sun, 14 Mar 2010 23:03:13 +0100

build-essential (11.4) unstable; urgency=low

  * Regenerate the essential packages lists, including armel.
  * Increased versioned dependency on gcc and g++ to 4.3.1 (not alpha),
    to 4.2.4 (alpha).
  * Depend on hurd-dev [hurd-i386]. Closes: #456549.
  * Update package description. Closes: #480677.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Jul 2008 01:05:30 +0200

build-essential (11.3) unstable; urgency=low

  * Regenerate the essential packages lists, including amd64. Closes: #317336.
  * Increased versioned dependency on gcc and g++ to 4.1.1.
  * Update Standards-Version to 3.7.2. No changes required.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Jul 2006 01:17:14 +0200

build-essential (11.2) unstable; urgency=low

  * New maintainer.
  * Tighten versioned dependency on gcc and g++ to the versions
    with the libstdc++ allocator change. Closes: #343028.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Jan 2006 10:43:03 +0100

build-essential (11.1) unstable; urgency=low

  * If the source doesn't ship with an essential-package-list for the
    building architecture, create an empty one instead of failing.

 -- Scott James Remnant <scott@netsplit.com>  Thu,  7 Jul 2005 19:27:01 +0100

build-essential (11) unstable; urgency=low

  * Increased versioned dependency on gcc and g++ to 4.0.
  * Increased versioned dependency on dpkg-dev to 1.13.5 to provide
    support for the OS and CPU variables.
  * Updated policy references to 3.6.1.1.  Closes: #313277.
  * Regenerated essential-package-list files.  In line with dpkg, these
    now only exist for architectures in sid, all of the empty ones have
    been removed.
    - ncurses-base added for sh (creating this file)
    - login added for hurd-i386

 -- Scott James Remnant <scott@netsplit.com>  Tue,  5 Jul 2005 17:01:26 +0100

build-essential (10.1) unstable; urgency=low

  * Added (empty) amd64, kfreebsd-i386, knetbsd-i386 and powerpc64
    eseential-packages-list files.

 -- Scott James Remnant <scott@netsplit.com>  Sun, 29 Aug 2004 18:49:36 +0100

build-essential (10) unstable; urgency=low

  * Fixed make-esslist.sh.
  * Added (empty) netbsd-i386 essential-packages-list file.
  * Remove strange \xB4 character from list, change to a '.  Closes: #199235.
  * Cleaned up package: removed {arch} cruft (moved to a subversion

