=== debian/control ===
Source: build-essential-mipsen
Section: devel
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Scott James Remnant <scott@netsplit.com>
Standards-Version: 4.4.0
Build-Depends: debhelper (>= 9), python3:any, g++ (>= 4:9.2)

Package: crossbuild-essential-mips
Architecture: all
Depends: ${cross-essential}, ${misc:Depends}
Description: Informational list of cross-build-essential packages
 If you do not plan to cross build Debian packages, you don't need
 this package.  Starting with sbuild (>= 0.63.0) this package is
 required for cross building Debian packages in a chroot.
 .
 This package contains an informational list of packages which are
 considered essential for cross building Debian packages.  This
 package also depends on the packages on that list, to make it easy to
 have the cross-build-essential packages installed.
 .
 If you have this package installed, you only need to install whatever
 a package specifies as its build-time dependencies to cross build the
 package.  Conversely, if you are determining what your package needs
 to build-depend on, you can always leave out the packages this
 package depends on.

Package: crossbuild-essential-mipsel
Architecture: all
Depends: ${cross-essential}, ${misc:Depends}
Description: Informational list of cross-build-essential packages
 If you do not plan to cross build Debian packages, you don't need
 this package.  Starting with sbuild (>= 0.63.0) this package is
 required for cross building Debian packages in a chroot.
 .
 This package contains an informational list of packages which are
 considered essential for cross building Debian packages.  This
 package also depends on the packages on that list, to make it easy to
 have the cross-build-essential packages installed.
 .
 If you have this package installed, you only need to install whatever
 a package specifies as its build-time dependencies to cross build the
 package.  Conversely, if you are determining what your package needs
 to build-depend on, you can always leave out the packages this
 package depends on.

Package: crossbuild-essential-mips64
Architecture: all
Depends: ${cross-essential}, ${misc:Depends}
Description: Informational list of cross-build-essential packages
 If you do not plan to cross build Debian packages, you don't need
 this package.  Starting with sbuild (>= 0.63.0) this package is
 required for cross building Debian packages in a chroot.
 .
 This package contains an informational list of packages which are
 considered essential for cross building Debian packages.  This
 package also depends on the packages on that list, to make it easy to
 have the cross-build-essential packages installed.
 .
 If you have this package installed, you only need to install whatever
 a package specifies as its build-time dependencies to cross build the
 package.  Conversely, if you are determining what your package needs
 to build-depend on, you can always leave out the packages this
 package depends on.

Package: crossbuild-essential-mips64el
Architecture: all
Depends: ${cross-essential}, ${misc:Depends}
Description: Informational list of cross-build-essential packages
 If you do not plan to cross build Debian packages, you don't need
 this package.  Starting with sbuild (>= 0.63.0) this package is
 required for cross building Debian packages in a chroot.
 .
 This package contains an informational list of packages which are
 considered essential for cross building Debian packages.  This
 package also depends on the packages on that list, to make it easy to
 have the cross-build-essential packages installed.
 .
 If you have this package installed, you only need to install whatever
 a package specifies as its build-time dependencies to cross build the
 package.  Conversely, if you are determining what your package needs
 to build-depend on, you can always leave out the packages this
 package depends on.

Package: crossbuild-essential-mipsr6
Architecture: all
Depends: ${cross-essential}, ${misc:Depends}
Description: Informational list of cross-build-essential packages
 If you do not plan to cross build Debian packages, you don't need
 this package.  Starting with sbuild (>= 0.63.0) this package is
 required for cross building Debian packages in a chroot.
 .
 This package contains an informational list of packages which are
 considered essential for cross building Debian packages.  This
 package also depends on the packages on that list, to make it easy to
 have the cross-build-essential packages installed.
 .
 If you have this package installed, you only need to install whatever
 a package specifies as its build-time dependencies to cross build the
 package.  Conversely, if you are determining what your package needs
 to build-depend on, you can always leave out the packages this
 package depends on.

Package: crossbuild-essential-mipsr6el
Architecture: all
Depends: ${cross-essential}, ${misc:Depends}
Description: Informational list of cross-build-essential packages
 If you do not plan to cross build Debian packages, you don't need
 this package.  Starting with sbuild (>= 0.63.0) this package is
 required for cross building Debian packages in a chroot.
 .
 This package contains an informational list of packages which are
 considered essential for cross building Debian packages.  This
 package also depends on the packages on that list, to make it easy to
 have the cross-build-essential packages installed.
 .
 If you have this package installed, you only need to install whatever
 a package specifies as its build-time dependencies to cross build the
 package.  Conversely, if you are determining what your package needs
 to build-depend on, you can always leave out the packages this
 package depends on.

Package: crossbuild-essential-mips64r6
Architecture: all
Depends: ${cross-essential}, ${misc:Depends}
Description: Informational list of cross-build-essential packages
 If you do not plan to cross build Debian packages, you don't need
 this package.  Starting with sbuild (>= 0.63.0) this package is
 required for cross building Debian packages in a chroot.
 .
 This package contains an informational list of packages which are
 considered essential for cross building Debian packages.  This
 package also depends on the packages on that list, to make it easy to
 have the cross-build-essential packages installed.
 .
 If you have this package installed, you only need to install whatever
 a package specifies as its build-time dependencies to cross build the
 package.  Conversely, if you are determining what your package needs
 to build-depend on, you can always leave out the packages this
 package depends on.

Package: crossbuild-essential-mips64r6el
Architecture: all
Depends: ${cross-essential}, ${misc:Depends}
Description: Informational list of cross-build-essential packages
 If you do not plan to cross build Debian packages, you don't need
 this package.  Starting with sbuild (>= 0.63.0) this package is
 required for cross building Debian packages in a chroot.
 .
 This package contains an informational list of packages which are
 considered essential for cross building Debian packages.  This
 package also depends on the packages on that list, to make it easy to
 have the cross-build-essential packages installed.
 .
 If you have this package installed, you only need to install whatever
 a package specifies as its build-time dependencies to cross build the
 package.  Conversely, if you are determining what your package needs
 to build-depend on, you can always leave out the packages this
 package depends on.
