## build-essential-mipsen 12.9

=== Makefile ===
--- 
+++ 
@@ -158,15 +158,15 @@
 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
 distcleancheck_listfiles = find . -type f -print
-ACLOCAL = ${SHELL} /home/syq/develop/debian/build-essential/build-essential-12.8/missing aclocal-1.14
+ACLOCAL = ${SHELL} /home/syq/build-essential/build-essential-mipsen-12.9/missing aclocal-1.14
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 1
-AUTOCONF = ${SHELL} /home/syq/develop/debian/build-essential/build-essential-12.8/missing autoconf
-AUTOHEADER = ${SHELL} /home/syq/develop/debian/build-essential/build-essential-12.8/missing autoheader
-AUTOMAKE = ${SHELL} /home/syq/develop/debian/build-essential/build-essential-12.8/missing automake-1.14
+AUTOCONF = ${SHELL} /home/syq/build-essential/build-essential-mipsen-12.9/missing autoconf
+AUTOHEADER = ${SHELL} /home/syq/build-essential/build-essential-mipsen-12.9/missing autoheader
+AUTOMAKE = ${SHELL} /home/syq/build-essential/build-essential-mipsen-12.9/missing automake-1.14
 AWK = gawk
 CYGPATH_W = echo
-DEB_HOST_ARCH = amd64
+DEB_HOST_ARCH = mips64el
 DEFS = -DPACKAGE_NAME=\"build-essential\" -DPACKAGE_TARNAME=\"build-essential\" -DPACKAGE_VERSION=\"11.1\" -DPACKAGE_STRING=\"build-essential\ 11.1\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"build-essential\" -DVERSION=\"11.1\"
 ECHO_C = 
 ECHO_N = -n
@@ -180,7 +180,7 @@
 LIBS = 
 LTLIBOBJS = 
 MAINT = #
-MAKEINFO = ${SHELL} /home/syq/develop/debian/build-essential/build-essential-12.8/missing makeinfo
+MAKEINFO = ${SHELL} /home/syq/build-essential/build-essential-mipsen-12.9/missing makeinfo
 MKDIR_P = /usr/bin/mkdir -p
 PACKAGE = build-essential
 PACKAGE_BUGREPORT = 
@@ -194,10 +194,10 @@
 SHELL = /bin/bash
 STRIP = 
 VERSION = 11.1
-abs_builddir = /home/syq/develop/debian/build-essential/build-essential-12.8
-abs_srcdir = /home/syq/develop/debian/build-essential/build-essential-12.8
-abs_top_builddir = /home/syq/develop/debian/build-essential/build-essential-12.8
-abs_top_srcdir = /home/syq/develop/debian/build-essential/build-essential-12.8
+abs_builddir = /home/syq/build-essential/build-essential-mipsen-12.9
+abs_srcdir = /home/syq/build-essential/build-essential-mipsen-12.9
+abs_top_builddir = /home/syq/build-essential/build-essential-mipsen-12.9
+abs_top_srcdir = /home/syq/build-essential/build-essential-mipsen-12.9
 am__leading_dot = .
 am__tar = $${TAR-tar} chof - "$$tardir"
 am__untar = $${TAR-tar} xf -
@@ -214,7 +214,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /home/syq/develop/debian/build-essential/build-essential-12.8/install-sh
+install_sh = ${SHELL} /home/syq/build-essential/build-essential-mipsen-12.9/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
@@ -342,3 +342,4 @@
 	|| find "$(distdir)" -type d ! -perm -755 \
 		-exec chmod u+rwx,go+rx {} \; -o \
 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
+	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
