=== debian/changelog ===
build-essential-mipsen (12.9) unstable; urgency=medium

  * sync with build-essential 12.9
    - Bump dependencies on gcc and g++ to 10.2.
    - Bump standards and debhelper versions.
    - Regenerate lists of essential packages.

 -- YunQiang Su <syq@debian.org>  Wed, 03 Feb 2021 14:05:25 +0800
