=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
-Uploaders: Scott James Remnant <scott@netsplit.com>
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 9), python3:any, g++ (>= 4:9.2)
+Uploaders: Scott James Remnant <scott@netsplit.com>, YunQiang Su <syq@debian.org>
+Standards-Version: 4.5.1
+Build-Depends: debhelper (>= 11), python3:any, g++ (>= 4:10.2)
 
 Package: crossbuild-essential-mips
 Architecture: all
